public static interface SplunkHECEndpointBuilderFactory.SplunkHECBuilders
| Modifier and Type | Method and Description |
|---|---|
default SplunkHECEndpointBuilderFactory.SplunkHECEndpointBuilder |
splunkHec(String path)
Splunk HEC (camel-splunk-hec)
The splunk component allows to publish events in Splunk using the
HTTP Event Collector.
|
default SplunkHECEndpointBuilderFactory.SplunkHECEndpointBuilder |
splunkHec(String componentName,
String path)
Splunk HEC (camel-splunk-hec)
The splunk component allows to publish events in Splunk using the
HTTP Event Collector.
|
default SplunkHECEndpointBuilderFactory.SplunkHECEndpointBuilder splunkHec(String path)
splunk-hec:splunkURL/token
Path parameter: splunkURL (required)
Splunk Host URL
Path parameter: token (required)
Splunk authorization tokenpath - splunkURL/tokendefault SplunkHECEndpointBuilderFactory.SplunkHECEndpointBuilder splunkHec(String componentName, String path)
splunk-hec:splunkURL/token
Path parameter: splunkURL (required)
Splunk Host URL
Path parameter: token (required)
Splunk authorization tokencomponentName - to use a custom component name for the endpoint
instead of the default namepath - splunkURL/tokenApache Camel